/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.finishedGrainSupervision.modular.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unis.emergencySupport.modular.es.entity.EsDeliveryEnterprise;
import com.unis.emergencySupport.modular.es.entity.vo.EsDeliveryEnterpriseCountVO;
import com.unis.emergencySupport.modular.es.param.EsDeliveryEnterpriseCountParam;
import com.unis.finishedGrainSupervision.modular.entity.DataKcglKcswDefault;
import com.unis.finishedGrainSupervision.modular.entity.vo.DevInputDetailVO;
import com.unis.finishedGrainSupervision.modular.entity.vo.DevInputPageVO;
import com.unis.finishedGrainSupervision.modular.entity.vo.OrgInfoPageVO;
import com.unis.finishedGrainSupervision.modular.entity.vo.StorageDailycheckDetailVO;
import com.unis.finishedGrainSupervision.modular.entity.vo.StorageDailycheckPageVO;
import com.unis.finishedGrainSupervision.modular.entity.vo.StorehousePageVO;
import com.unis.finishedGrainSupervision.modular.entity.vo.UnitPageVO;
import com.unis.grainReserves.modular.grReserveScale.vo.OrgInfoVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 应急保障-应急配送企业管理表Mapper接口
 *
 * @author ZeroLiYi
 * @date  2024/06/01 11:37
 **/
public interface DataKcglKcswDefaultCountMapper extends BaseMapper<EsDeliveryEnterprise> {

    IPage<Map<String, Object>> selectMaPage(Page<DataKcglKcswDefault> p, @Param(Constants.WRAPPER) QueryWrapper<DataKcglKcswDefault> queryWrapper);

    List<Map<String,Object>> statisticsGrainGrade();

    List<Map<String,Object>> statisticsArea();

    List<Map<String,Object>> statisticsGrainVarietyName();

    List<Map<String, Object>> statisticsIn(@Param("tjnf") Integer tjnf);

    List<Map<String, Object>> statisticsOut(@Param("tjnf") Integer tjnf);

    List<Map<String, Object>> statisticsPlan();

    List<Map<String, Object>> statisticsGrainNature();

    List<Map<String, Object>> statisticsQualitye();




    IPage<UnitPageVO> findUnitPage(Page<UnitPageVO> p,  @Param(Constants.WRAPPER)QueryWrapper<UnitPageVO> queryWrapper);

    IPage<OrgInfoPageVO> findOrgInfoPage(Page<OrgInfoPageVO> p, @Param(Constants.WRAPPER)QueryWrapper<OrgInfoPageVO> queryWrapper);

    IPage<StorehousePageVO> findStorehousePage(Page<StorehousePageVO> p, @Param(Constants.WRAPPER)QueryWrapper<StorehousePageVO> queryWrapper);

    IPage<DevInputPageVO> findDevInputPage(Page<DevInputPageVO> p, @Param(Constants.WRAPPER)QueryWrapper<DevInputPageVO> queryWrapper);

    DevInputDetailVO getDevInputDetail(@Param("id") String id);

    List<Map<String, Object>> statisticsTransaction();

    List<Map<String, Object>> statisticsYearIn();

    List<Map<String, Object>> statisticsStorageFacilities();

    IPage<StorageDailycheckPageVO> findDailycheckPage(Page<StorageDailycheckPageVO> p, @Param(Constants.WRAPPER)QueryWrapper<StorageDailycheckPageVO> queryWrapper);

    StorageDailycheckDetailVO getDailycheckDetail(@Param("id")String id);

    List<Map<String, Object>> statisticsIntelligentEquipment();
}
